﻿using CustomRelationalSample.Model;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Runtime.CompilerServices;
using System.Text;
using System.Threading.Tasks;
using CustomRelationalSample.Annotations;

namespace CustomRelationalSample.ViewModel
{
    public class ViewModel : INotifyPropertyChanged
    {
        private List<ProductSales> _productSalesData;

        public List<ProductSales> ProductSalesData
        {
            get { return _productSalesData; }
            set
            {
                _productSalesData = value;
                RaisePropertyChanged();
            }
        }

        public void LoadData()
        {
            ProductSalesData = ProductSales.GetSalesData();
        }

        public ViewModel()
        {
            ProductSalesData = ProductSales.GetSalesData();
        }

        public event PropertyChangedEventHandler PropertyChanged;
        [NotifyPropertyChangedInvocator]
        protected virtual void RaisePropertyChanged([CallerMemberName] string propertyName = null)
        {
            PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(propertyName));
        }
    }
}
